### Method

# Gimp ExportProcedure set_capabilities

since: 3.0

#### Declaration [src]

    void
    gimp_export_procedure_set_capabilities (
      GimpExportProcedure* procedure,
      GimpExportCapabilities capabilities,
      GimpExportGetCapabilitiesFunc get_capabilities_func,
      gpointer get_capabilities_data,
      GDestroyNotify get_capabilities_data_destroy
    )

#### Description [src]

Sets default `GimpExportCapabilities` for image export.

`capabilities` and `get_capabilities_func` are overlapping arguments. Either set `capabilities` if your format capabilities are stable or `get_capabilities_func` if they depend on other options. If `get_capabilities_func` is set, `capabilities` must be 0.

If set, `get_capabilities_func` will be called every time an argument in the `GimpProcedureConfig` is edited and it will be used to edit the export capabilities dynamically.

Available since: 3.0

Sets property | `Gimp.ExportProcedure:capabilities`

#### Parameters

`capabilities`

  Type: `GimpExportCapabilities`

  A `GimpExportCapabilities` bitfield.

`get_capabilities_func`

  Type: `GimpExportGetCapabilitiesFunc`

  Callback function to update export options.

  The argument can be `NULL`.

`get_capabilities_data`

  Type: `gpointer`

  Data for `get_capabilities_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`get_capabilities_data_destroy`

  Type: `GDestroyNotify`

  Free function for `get_capabilities_data`, or `NULL`.

  The argument can be `NULL`.